# EasyWindcss

**EasyWindcss** is a Python script that simplifies the setup of Tailwind CSS in a Node.js project. It automates the process of initializing a Node.js project, installing Tailwind CSS, configuring Tailwind with user-defined content paths and file extensions, and generating the necessary HTML and CSS files for a modern, responsive website. Proven to be 6 times faster than manual setup!

## Features

- Initializes a new project.
- Installs Tailwind CSS and its CLI as development dependencies.
- Creates a basic Tailwind CSS configuration file (`tailwind.config.js`).
- Generates a CSS file with Tailwind's base, components, and utilities.
- Sets up an HTML file with a sample template to demonstrate Tailwind CSS.
- Adds build and watch scripts to `package.json` for easy development and deployment.

## How to Use

1. **RUN PIP**

   ```bash
   pip install easywindcss
   ```

2. **EXECUTE TAILWIND**

    Run the following code to install tailwindcss
   ```bash
   easywindcss
   ```
   After execution you'll be asked to choose between two two options:
   - Normal Tailwindcss Installation
   - Tailwindcss + Flask

   Run the following code to view version of easywindcss
   ```bash
   easywindcss-v
   ```

This is a product of Specteria.
Built by Sayed Afaq Ahmed
linkedin.com/in/sayedafaq
